
##############################################################
# Gestion des modules
##############################################################

hostname=jean-zay4
echo lmdz_env $hostname 0:3 ${hostname:0:3}

case ${hostname:0:5} in

        jean-) ARCH=X64_JEANZAY
		module purge
		compilo=19.0.4 # available 2013.0, 2017.2
		module load intel-compilers/$compilo
		#module load intel-mpi/$compilo
		module load intel-mkl/$compilo
		module load hdf5/1.10.5-mpi
		module load netcdf/4.7.2-mpi
		module load netcdf-fortran/4.5.2-mpi
		module load subversion/1.9.7
                module load nco
                module load cdo
		login=`whoami`
	        # groupe du login : 
		groupeLog=`echo $login | cut -c2-4`
		# Imputation de la consommation par defaut sur le groupe du login
                # Si login multi-projet, on peut imputer sur un groupe different
		# par exemple : login=rdzt* (so that groupeLog=dzt), but groupe=gzi
		groupe=$groupeLog
		submit="sbatch -A ${groupe}@cpu "
		run="srun --label -n "
		# Espaces suivants definis par defaut en fonction du login et son groupe,
		#  par exemple : SCRATCHD=$SCRATCH is /gpfsstore/rech/$groupeLog/$login
		#    * On peut les faire dependre du groupe d'imputation,
                #        par exemple : SCRATCHD=/gpfsstore/rech/$groupe/$login    
                #    * On peut aussi ne pas installer les scripts a la racine de STORE, 
                #        mais dans STORED=$STORE/your_folder
                STORED=$STORE
		SCRATCHD=$SCRATCH
		LMDZD=$WORK
		nb_mpi_max=2000
		nb_omp_max=20
		#LMDZ_Init sur le $STORE du $groupeLog (maintenant unique), ne depend pas de l'imputation :
		LMDZ_Init=$STORE/LMDZ_Init ;;
	*) ARCH=
		submit=". "
		run="mpirun -np "
		SCRATCHD=~/TMP/SCRATCH
		STORED=~/TMP/
		LMDZD=~/TMP
		nb_mpi_max=2
		nb_omp_max=2
		LMDZ_Init=~/LMDZ/LMDZ_Init
esac


echo LMDZ_Init dans lmdz_env $LMDZ_Init
